# Method: projects.locations.liveConfigs.get

- [HTTP request](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs/get#body.aspect_1)

Returns the specified live config managed by the Video Stitcher service.

### HTTP request

`GET https://videostitcher.googleapis.com/v1/{name=projects/*/locations/*/liveConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the live config to be retrieved, in the form of `projects/{project_number}/locations/{location}/liveConfigs/{id}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.liveConfigs#LiveConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `videostitcher.liveConfigs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).